Bug 1603405 - arm-none-eabi-gcc-cs: FTBFS in Fedora rawhide
Summary: arm-none-eabi-gcc-cs: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-gcc-cs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:44 UTC by Mohan Boddu
Modified: 2019-04-06 20:18 UTC (History)
2 users (show)

Fixed In Version: arm-none-eabi-gcc-cs-7.4.0-1.fc28 arm-none-eabi-gcc-cs-7.4.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 19:21:32 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2018-07-19 14:44 UTC, Mohan Boddu
no flags Details
root.log (1.00 KB, text/plain)
2018-07-19 14:44 UTC, Mohan Boddu
no flags Details
state.log (671 bytes, text/plain)
2018-07-19 14:44 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:44:35 UTC
arm-none-eabi-gcc-cs failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28166781


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix arm-none-eabi-gcc-cs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
arm-none-eabi-gcc-cs will be orphaned. Before branching of Fedora 30,
arm-none-eabi-gcc-cs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:44:45 UTC
Created attachment 1460485 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:44:49 UTC
Created attachment 1460486 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:44:51 UTC
Created attachment 1460487 [details]
state.log

Comment 4 Michal Hlavinka 2018-08-07 15:28:43 UTC
This was fixed upstream, it seems that this should be relevant commit:
https://github.com/gcc-mirror/gcc/commit/1c67942e074cd57215df5b0667542638bff1cd67
waiting for new gcc-7 snapshot to test

Comment 5 Jan Kurik 2018-08-14 11:05:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2019-03-25 21:07:11 UTC
arm-none-eabi-gcc-cs-7.4.0-1.fc28 arm-none-eabi-newlib-3.1.0-2.fc28 arm-none-eabi-binutils-cs-2.32-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3328f43d89

Comment 7 Fedora Update System 2019-03-25 21:07:30 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1af067fbe

Comment 8 Fedora Update System 2019-03-25 21:07:40 UTC
arm-none-eabi-gcc-cs-7.4.0-1.fc29 arm-none-eabi-newlib-3.1.0-2.fc29 arm-none-eabi-binutils-cs-2.32-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-280f25c3e4

Comment 9 Fedora Update System 2019-03-27 00:45:03 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1af067fbe

Comment 10 Fedora Update System 2019-03-27 04:11:39 UTC
arm-none-eabi-binutils-cs-2.32-1.fc28, arm-none-eabi-gcc-cs-7.4.0-1.fc28, arm-none-eabi-newlib-3.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3328f43d89

Comment 11 Fedora Update System 2019-03-27 04:34:21 UTC
arm-none-eabi-binutils-cs-2.32-1.fc29, arm-none-eabi-gcc-cs-7.4.0-1.fc29, arm-none-eabi-newlib-3.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-280f25c3e4

Comment 12 Fedora Update System 2019-04-06 19:21:32 UTC
arm-none-eabi-binutils-cs-2.32-1.fc28, arm-none-eabi-gcc-cs-7.4.0-1.fc28, arm-none-eabi-newlib-3.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-06 19:43:02 UTC
arm-none-eabi-binutils-cs-2.32-1.fc29, arm-none-eabi-gcc-cs-7.4.0-1.fc29, arm-none-eabi-newlib-3.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-06 20:18:42 UTC
arm-none-eabi-newlib-3.1.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.